사용자 정의 도메인
GET https://u.page/api/domains/available
curl --request GET \
--url 'https://u.page/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/domains/available' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까. 허용되는 값은: host입니다. |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할까요. 허용되는 값은: domain_id, datetime, last_datetime, host. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다. |
| page | 선택 사항 정수 | 원하는 결과를 얻고 싶은 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 한 페이지당 원하는 결과 수는 10, 25, 50, 100, 250, 500, 1000입니다. 허용되는 값은 25입니다. 기본값은입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": 1,
"scheme": "Example",
"host": "Example",
"url": "https://example.com/",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://u.page/api/domains/available?page=1",
"last": "https://u.page/api/domains/available?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/domains/available?page=1"
}
}
GET https://u.page/api/domains/
curl --request GET \
--url 'https://u.page/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드로 검색하고 있습니까. 허용되는 값은: host입니다. |
| is_enabled | 선택 사항 부울 | |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 어떤 필드로 정렬할까요. 허용되는 값은: domain_id, datetime, last_datetime, host. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 오름차순 정렬을 위한 ASC와 내림차순 정렬을 위한 DESC입니다. |
| page | 선택 사항 정수 | 원하는 결과를 얻고 싶은 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 한 페이지당 원하는 결과 수는 10, 25, 50, 100, 250, 500, 1000입니다. 허용되는 값은 25입니다. 기본값은입니다. |
{
"data": [
{
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://u.page/api/domains?page=1",
"last": "https://u.page/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://u.page/api/domains?page=1"
}
}
GET https://u.page/api/domains/{domain_id}
curl --request GET \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
}
POST https://u.page/api/domains
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| host | 필요합니다 문자열 | - |
| custom_index_url | 선택 사항 문자열 | - |
| custom_not_found_url | 선택 사항 문자열 | - |
| scheme | 선택 사항 문자열 | - |
curl --request POST \
--url 'https://u.page/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://u.page/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
}
POST https://u.page/api/domains/{domain_id}
| 매개변수 | 세부 사항 | 설명 |
|---|---|---|
| host | 선택 사항 문자열 | - |
| custom_index_url | 선택 사항 문자열 | - |
| custom_not_found_url | 선택 사항 문자열 | - |
| scheme | 선택 사항 문자열 | - |
curl --request POST \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"scheme": "Example",
"host": "Example",
"custom_index_url": "https://example.com/",
"custom_not_found_url": "https://example.com/",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-09-12 05:31:35"
}
}
DELETE https://u.page/api/domains/{domain_id}
curl --request DELETE \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://u.page/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \